package node

import "blazing/logic/service/fight/input"

// 回合开始前
func (this *EffectNode) PreTurnStart() bool {
	return true

}

// 回合开始
func (this *EffectNode) OnTurnStart(opp *input.Input) bool {

	//处理异常状态

	return true
}

// 回合结束一次性effect清楚掉

func (this *EffectNode) TurnEnd() bool {

	if this.duration == 0 { // 保留 (负数表示永久)
		this.NotAlive = true
	}
	this.duration--
	return true
}
